Get transaction details

View as MarkdownOpen in Claude
Retrieve a processed transaction's details.

Path parameters

transIdstringRequired

ReferenceId for the transaction (PaymentId).

Response

Success
splitCountinteger

Number of split funding instructions associated with the transaction. Returns 0 when the transaction has no splits.

TransactionTimedatetime or null
Transaction date and time, in UTC.
AchHolderTypeenumOptionalDefaults to personal

The bank’s accountholder type: personal or business.

AchSecCodestringOptional

Standard Entry Class (SEC) code is a three letter code that describes how an ACH payment was authorized. Supported values are:

  • PPD (Prearranged Payment and Deposit) — Used for credits or debits where an accountholder authorizes a company to initiate either a single or recurring transaction to their personal bank account. Common examples include direct deposit of payroll, mortgage payments, or utility bills. This is the default value for subscription payments.
  • WEB (Internet-Initiated/Mobile Entry) — Used for debit entries when authorization is obtained from an accountholder via the internet or a wireless network. Common examples are online bill payments, ecommerce purchases, and mobile app payments where the consumer enters their banking information online.
  • TEL (Telephone-Initiated Entry) — Used for one-time debit entries where authorization is obtained from a consumer via telephone. Common examples are phone-based purchases or bill payments where the consumer provides their banking information over the phone.
  • CCD (Corporate Credit or Debit) — Used for fund transfers between business accounts. This code is specifically for business-to-business transactions. Common examples include vendor payments and other business-to-business payments.
  • BOC (Back Office Conversion) — Used to convert paper checks received in-person at a point-of-sale or staffed payment location into electronic ACH debits. Required for Remote Deposit Capture (RDC) transactions. Only supports consumer checks; business, government, and mailed checks aren’t eligible.
BatchAmountdoubleOptional
Batch amount.
BatchNumberstringOptional<=65 characters

A unique identifier for the batch. This is generated by Payabli when the batch is created, and follows this format: paypointId + "_" + serviceName + "_" + batchDate:yyyyMMdd + "_" + Guid.NewGuid(). Payabli generates the GUID to ensure that the batch number is unique.

For example, in this batch number: 123_card_20251008_3f2504e0-4f89-11d3-9a0c-0305e82c3301, the paypointID is 123, the service is card, the batch date is 2025-10-08, and the GUID is 3f2504e0-4f89-11d3-9a0c-0305e82c3301.

CfeeTransactionslist of objectsOptional

Service Fee or sub-charge transaction associated to the main transaction.

ConnectorNamestringOptional
Connector used for transaction.
CustomerobjectOptional
DeviceIdstringOptional
Identifier of registered cloud device used in the transaction.
EntrypageIdlongOptional
If applicable, the internal reference ID to the payment page associated with the transaction.
ExternalProcessorInformationstringOptional
Information from the external processor about the transaction.
FeeAmountdoubleOptional

Service fee or sub-charge applied.

GatewayTransIdstringOptional
Internal identifier used for processing.
invoiceDataobjectOptional
MethodstringOptional

Payment method used: card, ach, or wallet.

NetAmountdoubleOptional
Net amount paid.
OperationstringOptional
The transaction's operation.
OrderIdstringOptional<=250 characters
Custom identifier for the transaction.
OrgIdlongOptional
ID of immediate parent organization.
ParentOrgNamestringOptional
The name of the parent organization.
PaymentDataobjectOptional
PaymentTransIdstringOptional
Unique Transaction ID.
PayorIdlongOptional

Unique ID for the customer linked to the transaction. This is the same value as the customerId used when creating or referencing a customer.

PaypointDbanamestringOptional
Paypoint's DBA name.
PaypointEntrynamestringOptional<=50 characters
Paypoint's entryname.
PaypointIdlongOptional
InternalId for paypoint.
PaypointLegalnamestringOptional
Paypoint's legal name.
PendingFeeAmountdoubleOptional

The difference between the configured pass-through fee and the fee amount sent in the request. When transferring funds, Payabli uses this field to deduct the fee difference and transfer the correct amount to the merchant.

When a paypoint is set up to absorb fees, and the pass-through fee sent with the request is less than the configured amount, the difference must be covered by the merchant. See Fee Configuration to learn more about pass-through fee settings.

RefundIdlongOptional
Identifier of refund transaction linked to this payment.
ResponseDataobjectOptional
The transaction's response data.
ReturnedIdlongOptional

Identifier of return/chargeback transaction linked to this payment.

ScheduleReferencelongOptional
Reference to the subscription that originated the transaction.
SettlementStatusintegerOptional

Settlement status for transaction. See the docs for a full reference.

SourcestringOptional<=100 characters
Custom identifier to indicate the transaction or request source.
splitFundingInstructionslist of objectsOptional
Split funding instructions for the transaction. The total amount of the splits must match the total amount of the transaction.
TotalAmountdoubleOptional

Transaction total amount (including service fee or sub-charge)

TransactionEventslist of objectsOptional
Events associated with this transaction.
TransAdditionalDataanyOptional
TransStatusintegerOptional

Status of transaction. See the docs for a full reference.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error